Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161595 - emacs-x won't start with XMODIFIERS=@im=iiimx
Summary: emacs-x won't start with XMODIFIERS=@im=iiimx
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 18:36 UTC by Dave Malcolm
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-03 07:52:56 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2005-06-24 18:36:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
For a while running "emacs" has stopped working for me.
emacs-nox runs fine
emacs-x hangs forever, without ever opening a window

I tracked this down; it seems to be a problem with IIMF support.  I have XMODIFIERS=@im=iiimx set in my environment.  If I unset this, emacs-x starts OK.  If I set it, then emacs-x hangs forever; attaching to it with gdb reveals that its stuck here:

(gdb) bt
#0  0x002f2402 in __kernel_vsyscall ()
#1  0x0051d826 in gettimeofday () from /lib/libc.so.6
#2  0x08173010 in alarm_signal_handler (signo=14) at atimer.c:372
#3  <signal handler called>
#4  0x002f2402 in __kernel_vsyscall ()
#5  0x0056347d in ___newselect_nocancel () from /lib/libc.so.6
#6  0x0063b14d in _XEnq () from /usr/X11R6/lib/libX11.so.6
#7  0x0063b547 in _XRead () from /usr/X11R6/lib/libX11.so.6
#8  0x0063d5fb in _XReadEvents () from /usr/X11R6/lib/libX11.so.6
#9  0x00625f15 in XIfEvent () from /usr/X11R6/lib/libX11.so.6
#10 0x00226fcf in _XimXConf () from /usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2
#11 0x002274c6 in _XimFlush () from /usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2
#12 0x00227860 in _XimRead () from /usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2
#13 0x00215da5 in _XimProtoCreateIC () from /usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2
#14 0x006542ca in XCreateIC () from /usr/X11R6/lib/libX11.so.6
#15 0x080d2a19 in create_frame_xic (f=0xa41e8c8) at xfns.c:3443
#16 0x080d6522 in Fx_create_frame (parms=1480737060) at xfns.c:3737
#17 0x0813c903 in Ffuncall (nargs=2, args=0xbf8b2998) at eval.c:2659
#18 0x081688f7 in Fbyte_code (bytestr=942042568, vector=1210478104, maxdepth=5) at bytecode.c:716
#19 0x0813c34c in funcall_lambda (fun=1210477980, nargs=1, arg_vector=0xbf8b2ab4) at eval.c:2851
#20 0x0813c811 in Ffuncall (nargs=2, args=0xbf8b2ab0) at eval.c:2716
#21 0x081688f7 in Fbyte_code (bytestr=941997076, vector=1210432568, maxdepth=3) at bytecode.c:716
#22 0x0813c34c in funcall_lambda (fun=1210432484, nargs=1, arg_vector=0xbf8b2bc4) at eval.c:2851
#23 0x0813c811 in Ffuncall (nargs=2, args=0xbf8b2bc0) at eval.c:2716
#24 0x081688f7 in Fbyte_code (bytestr=941993412, vector=1210428972, maxdepth=4) at bytecode.c:716
#25 0x0813c34c in funcall_lambda (fun=1210428840, nargs=0, arg_vector=0xbf8b2cd4) at eval.c:2851
#26 0x0813c811 in Ffuncall (nargs=1, args=0xbf8b2cd0) at eval.c:2716
#27 0x081688f7 in Fbyte_code (bytestr=942148068, vector=1210584780, maxdepth=5) at bytecode.c:716
#28 0x0813c34c in funcall_lambda (fun=1210583500, nargs=0, arg_vector=0xbf8b2df4) at eval.c:2851
#29 0x0813c811 in Ffuncall (nargs=1, args=0xbf8b2df0) at eval.c:2716
#30 0x081688f7 in Fbyte_code (bytestr=942144132, vector=1210579732, maxdepth=5) at bytecode.c:716
#31 0x0813c34c in funcall_lambda (fun=1210579564, nargs=0, arg_vector=0xbf8b2eb0) at eval.c:2851
#32 0x0813c5a0 in apply_lambda (fun=-4, args=405431340, eval_flag=1) at eval.c:2770
#33 0x0813baa3 in Feval (form=1480355092) at eval.c:2071
#34 0x080e0de2 in top_level_2 () at keyboard.c:1254
#35 0x0813a926 in internal_condition_case (bfun=0x80e0dcf <top_level_2>, handlers=405527684, hfun=0x80e31b2 <cmd_error>) at eval.c:1267
#36 0x080e0e14 in top_level_1 () at keyboard.c:1262
#37 0x0813a850 in internal_catch (tag=-4, func=0x80e0de4 <top_level_1>, arg=405431340) at eval.c:1030
#38 0x080e0baa in command_loop () at keyboard.c:1223
#39 0x080e0c6a in recursive_edit_1 () at keyboard.c:950
#40 0x080e0d87 in Frecursive_edit () at keyboard.c:1006
#41 0x080dfc5d in main (argc=1, argv=0xbf8b3614, envp=0xbf8b361c) at emacs.c:1547
#42 0x004b4de6 in __libc_start_main () from /lib/libc.so.6
#43 0x0804f551 in ?? ()



Version-Release number of selected component (if applicable):
emacs-21.4-5

How reproducible:
Always

Steps to Reproduce:
1. as above
  

Additional info:

Comment 1 Akira TAGOH 2005-06-27 00:49:37 UTC
Dave, can you try iiimf 12.2-5 or later from rawhide? it sounds like the similar
problem to Bug#158254.

Comment 2 Jens Petersen 2005-06-27 00:57:47 UTC
What locale are you using?  It seems to work fine for me
with Japanese and English locale.

Comment 3 Dave Malcolm 2005-06-28 17:56:33 UTC
I've upgraded to iiimf-server-12.2-6 and I'm still seeing this problem.

LANG=en_GB.UTF-8
XMODIFIERS=@im=iiimx

Works fine if I unset XMODIFIERS before starting emacs.

Comment 4 Jens Petersen 2005-09-30 01:47:10 UTC
I still don't know how to reproduce this and this is the first report
of this kind I have seen.

System locale is same?  iiimd and iiimx are running?

What is the output of "rpm -qa iiimf\*"?

Comment 5 Jens Petersen 2006-02-03 07:52:56 UTC
Closing for now.


Note You need to log in before you can comment on or make changes to this bug.